/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2013, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@gmail.com
-------------------------------------------------------------------------------*/

#include <STMPE811.h>

int stmpe811init(STMPE811_t *dev, i2c_t i2cdev, uint8_t A0)
{

    dev->devAddress = 0x82;
    if(A0) dev->devAddress = 0x88;
    dev->i2cdev = i2cdev;
    return 1;
}

int stmpe811getID(STMPE811_t *dev)
{
    if(dev != NULL)
    {
        char DATA[2];
        DATA[0]=STMPE811_REGISTER_CHIP_ID;
        i2cwrite(dev->i2cdev,dev->devAddress,DATA,1);
        i2cread(dev->i2cdev,dev->devAddress,DATA,2);
        uint16_t val=DATA[0];
        val=(val<<8)+DATA[1];
        return val;
    }
    return -1;
}






















